GEARMAN_WORKER_ERRNO(3)

NAME
gearman_worker_errno - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

const char *gearman_worker_error(const gearman_worker_st *worker)

int gearman_worker_errno(gearman_worker_st *worker)

    Link with -lgearman

DESCRIPTION

gearman_worker_error() and gearman_worker_errno() report on the last errors that the worker reported/stored in gearman_worker_st. If you are interested in recording all errors please see gearman_worker_set_log_fn().

RETURN VALUE

gearman_worker_errno() returns the last errno that the worker recorded.

HOME

To find out more information please check: http://gearman.info/

See also

    gearmand(8) libgearman(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2013, Data Differential, http://www.datadifferential.com/